{
  "codeName" : "Area",
  "controlType" : "CHART",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSCHARTS/Area.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "height" : 300.0,
  "logicName" : "Area",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdecharts/Area",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSChartCoordinateSystems" : [ {
    "eChartsType" : "cartesian2d",
    "index" : 0,
    "name" : "[area]直角坐标系[0]",
    "getPSChartGrid" : {
      "index" : 0,
      "name" : "[area]直角坐标系[0]",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridXAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridYAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "grid",
      "id" : "0"
    },
    "type" : "XY",
    "id" : "0"
  } ],
  "getPSChartDataSetGroups" : [ {
    "index" : 0,
    "name" : "DEFAULT",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "id" : "0"
  } ],
  "getPSChartDataSets" : [ {
    "index" : 0,
    "name" : "area-DEFAULT",
    "getPSChartDataSetFields" : [ {
      "index" : 0,
      "name" : "ordertime",
      "groupField" : true,
      "id" : "0"
    }, {
      "index" : 1,
      "name" : "amount",
      "groupField" : false,
      "id" : "1"
    } ],
    "id" : "0"
  } ],
  "getPSChartGrids" : [ {
    "index" : 0,
    "name" : "[area]直角坐标系[0]",
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartGridXAxis0" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartGridYAxis0" : {
      "modelref" : true,
      "id" : "0"
    },
    "type" : "grid",
    "id" : "0"
  } ],
  "getPSChartXAxises" : [ {
    "caption" : "时间",
    "eChartsPos" : "xAxis",
    "eChartsType" : "category",
    "index" : 0,
    "name" : "X坐标轴_时间",
    "position" : "bottom",
    "type" : "category",
    "id" : "0"
  } ],
  "getPSChartYAxises" : [ {
    "caption" : "金额",
    "eChartsPos" : "yAxis",
    "eChartsType" : "value",
    "index" : 0,
    "name" : "Y坐标轴_金额",
    "position" : "left",
    "type" : "numeric",
    "id" : "0"
  } ],
  "getPSDEChartLegend" : {
    "index" : 0,
    "showLegend" : true,
    "id" : "0"
  },
  "getPSDEChartSerieses" : [ {
    "catalogField" : "ordertime",
    "eChartsType" : "line",
    "index" : 0,
    "name" : "area",
    "getPSChartCoordinateSystem" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartDataSet" : {
      "modelref" : true,
      "id" : "0"
    },
    "getPSChartSeriesEncode" : {
      "index" : 0,
      "name" : "坐标系编码",
      "getPSChartXAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartYAxis" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "XY",
      "x" : [ "ordertime" ],
      "y" : [ "amount" ],
      "id" : "0"
    },
    "seriesLayoutBy" : "column",
    "seriesType" : "area",
    "valueField" : "amount",
    "enableChartDataSet" : true,
    "stack" : false,
    "getUserParam" : {
      "ECX.label" : "{show: false,position: 'inside'}",
      "EC.areaStyle" : "{}"
    }
  } ],
  "getPSDEChartTitle" : {
    "index" : 0,
    "title" : "订单金额统计",
    "showTitle" : true,
    "id" : "0"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKDashboardView/psappviewctrls/dashboard_sysportlet1_chart",
  "readOnly" : true,
  "modelid" : "b3a6812ca1b88bf703ab62d534d5833a",
  "modeltype" : "PSDECHART",
  "getUserParam" : {
    "EC.color" : "\"#f4516c\""
  }
}